import numpy as np
import matplotlib.pyplot as plt

plt.rcParams['font.size'] = 14
plt.rcParams['legend.fontsize'] = 14

x = np.linspace(0,10,50)
y1 = np.sin(x); y2 = np.cos(x); y3 = np.exp(-x)

plt.plot(x, y1, 'k-', label='sin(x)', lw=2)
plt.plot(x, y2, 'b', dashes=[20,10], label='cos(x)', lw=2)
plt.plot(x[::2], y3[::2], 'rs-', label='exp(-x)', ms=8, lw=2)



plt.legend(loc='lower right',
           ncol=2, numpoints=1, labelspacing=0.5,
           handletextpad=0.5, handlelength=2.5,
           borderaxespad=0.5, borderpad=0.05,
           columnspacing=0.9, frameon=False)

plt.axis([-0.5, 10.5, -1.7, 1.5])
plt.show()

