import numpy as np
import matplotlib.pyplot as plt
from mpl_toolkits.mplot3d import Axes3D

plt.rcParams['font.size'] = 14

fig = plt.figure(figsize=(11, 8))
ax = fig.add_subplot(111, projection='3d')

x = np.linspace(-2,2,100)
y = np.linspace(-2,2,100)

(X,Y) = np.meshgrid(x,y)
Z = np.cos(X**2 + Y**2)

f1 = ax.plot_surface(X, Y, Z, rstride=4, cstride=4,
                     linewidth=0.1, cmap='rainbow')

fig.colorbar(f1, shrink=0.5, aspect=15,
             ticks=np.linspace(-1,1,6))
ax.set_xlim(-2,2)
ax.set_ylim(-2,2)
ax.set_zlim(-2,2)

ax.set_xlabel('x', labelpad=10)
ax.set_ylabel('y', labelpad=10)
ax.set_zlabel('z', labelpad=10)

ax.set_xticks(np.linspace(-2,2,5))
ax.set_yticks(np.linspace(-2,2,5))
ax.set_zticks(np.linspace(-2,2,5))

plt.show()





