import matplotlib
# matplotlib.use('Agg')

import matplotlib.pyplot as p
import numpy as n

from scipy.optimize import curve_fit

data = n.loadtxt('wahadlo.txt')
#p.hist(data)
num, bins, patches = p.hist(data)

bincenters=[]
for i in range(0, len(bins)-1):
    bincenters.append(0.5*(bins[i]+bins[i+1]))
#bincenters=0.5*(bins[1:]+bins[:-1])

def gauss(x, mu, sig, p):
    return p*n.exp(-((x-mu)**2)/(2*sig*sig))

par, cov = curve_fit(gauss, bincenters, num)
# wypisanie parametrów fitu
print(par)
# wypisanie niepewnosci parametrów fitu
print(n.sqrt(n.diag(cov)))

x = n.linspace(3.1, 3.5, 50)

p.xlabel('T [s]')
p.ylabel('N')
p.title('Okres drgan wahadla')

p.plot(x,gauss(x, *par), 'g-')

p.show()
p.savefig('przyklad9.pdf')
